Bug 1672701 - [marketplace] opsrc reconciliation fails if CatalogSourceConfig already exists
Summary: [marketplace] opsrc reconciliation fails if CatalogSourceConfig already exists
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Abu Kashem
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-05 16:16 UTC by Abu Kashem
Modified: 2019-06-04 10:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:42:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:43:52 UTC

Description Abu Kashem 2019-02-05 16:16:38 UTC
For an existing OperatorSource CR that has already been successfully reconciled, execute the following steps:

1. oc edit the OperatorSource CR, and drop the entire `Status` field.
2. Save the updated object
 

Expected Result: The OperatorSource CR is expected to reconcile successfully.

 
Actual Result: Reconciliation Fails while the object is in `Configuring` phase.

Comment 2 Fan Jia 2019-02-22 06:24:02 UTC
testenv:
clusterversion:4.0.0-0.nightly-2019-02-20-194410

opsrc can reconciliation success if CatalogSourceConfig already exists.

Comment 5 errata-xmlrpc 2019-06-04 10:42:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.